MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023866Community[OCCT] OCCT:Modeling Algorithmspublic2013-03-27 19:562017-08-04 11:25
ReporterMauro Mariotti 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.3 
Target VersionFixed in Version[OCCT] 6.6.0 
Summary0023866: GccAna_Circ2d3Tan does not find a circle
DescriptionWith the attached curves (two lines and a circle), GccAna_Circ2d3Tan finds four big circles, but not a smaller one, which should be in the middle of them.
In result.png, the three arrows are the given curves, the longer curves are three of the four circles which are found by GccAna_Circ2d3Tan
Steps To ReproduceIn DRAW:
- restore 3curves.brep (it is a compound of 3 edges)
- explode the compound
- create the 3d curves, by mkcurve
- create 2d curves (c1, c2 and c3), by to2d
- cirtan cir c1 c2 c3
TagsNo tags attached.
Test case numberbugs moddata_3 bug23866
Attached Fileszip file icon brep_and_picture.zip (40,221 bytes) 2013-03-27 19:56

- Relationships

-  Notes
(0068920)
mkv (tester)
2017-07-31 17:22

Problem described in issue is not reproduced on current state of OCCT. Fixed in OCCT6.6.0.

- Issue History
Date Modified Username Field Change
2013-03-27 19:56 Mauro Mariotti New Issue
2013-03-27 19:56 Mauro Mariotti Assigned To => jgv
2013-03-27 19:56 Mauro Mariotti File Added: brep_and_picture.zip
2017-07-31 17:22 mkv Test case number => bugs moddata_3 bug23866
2017-07-31 17:22 mkv Note Added: 0068920
2017-07-31 17:22 mkv Assigned To jgv => bugmaster
2017-07-31 17:22 mkv Status new => closed
2017-07-31 17:22 mkv Resolution open => no change required
2017-07-31 17:22 mkv Fixed in Version => 6.6.0
2017-08-04 11:25 mkv Resolution no change required => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker